Subject: bug#10372: Emacs+Ansi-Term Display Glitches

From: Vladimir Murzin <[email-masked]>
Date: Mon, 2 Jan 2012 19:45:24 +0300

Hi Geoff

In my case (Gnome2+Metacity ) the following was enough:

$gconftool-2 --type boolean --set
/apps/metacity/general/compositing_manager false

My environment:
GNU Emacs 23.3.3
Gnome 2.32.1

On Mon, Jan 2, 2012 at 8:33 PM, Geoff Ferrari <[email-masked]> wrote:
> I tried disabling composite manager by adding the following to /etc/X11/xorg.conf
>
> Section "Extensions"
>    Option "Composite" "Disable"
> EndSection
>
> But it had no effect on the display glitches I mentioned. Any other
> suggestions?
>
> Maybe this bug will be solved in Emacs 24...
>
> Geoffrey
>
>
> On Tue, Dec 27, 2011 at 02:51:51AM +0000, Vladimir Murzin wrote:
>> Hi!
>>
>> Have you tried disabling composite manager?
>>
>> I met similar problem several months ago. Turning of composite feature of Metacity solved this problem for me.
>> Best wishes, Vladimir Murzin
>>
>> -----Original Message-----
>> From: Geoff Ferrari <[email-masked]>
>> Sender: help-gnu-emacs-bounces+murzin.v=[email-masked]: Mon, 26 Dec 2011 15:30:48
>> To: <[email-masked]>
>> Cc: <[email-masked]>
>> Subject: Emacs+Ansi-Term Display Glitches
>>
>> Hi,
>>
>> I'm experiencing some display glitches when using ansi-term to access a
>> shell under the X11 version of emacs. There seem to be two separate
>> glitches, and they're a little hard to describe so I've included a link
>> to a video of the problem.
>>
>> FIRST GLITCH
>>
>> When I reach a full screen of text under ansi-term (i.e. once I've typed
>> in a few commands and the history of these commands fills the screen, so
>> that the input line is now at the bottom of the screen), the whole
>> screen seems to either flash or jump every time I type a new character.
>>
>> SECOND GLITCH
>>
>> After I've either filled the screen using my own commands, or after I've
>> used a programme such as top or mutt which takes over the whole screen,
>> then the two lines at the top of the screen seem to persist. Running the
>> "clear" command does not clear them, but they are cleared if I run the
>> "reset" command.
>>
>> You can see a download a video (7.6MB) of these glitches from:
>> http://cloud.geoffreyferrari.com/apps/files_sharing/get.php?token=db8e2a6726e03d1816548e17447a1df626215ac4
>>
>> Both of these problems occur on both the latest 64-bit versions of ubuntu and
>> debian wheezy. With the terminal version of emacs I get the second
>> problem (lines being left at the top of the screen) but not the first
>> (no display jumpiness).
>>
>> My version of emacs as reported in Ubuntu 11.10 is
>>
>> "GNU Emacs 23.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.5)
>>  of 2011-08-14 on allspice, modified by Debian"
>>
>> I wonder if there's anything I can do to remove these annoying glitches,
>> of whether they are a bug that should be reported.
>>
>> Geoff
>>
>>
>>
>
> --
> Geoffrey Ferrari
> Lecturer in Philosophy
> Lady Margaret Hall
>
> Office: 01865 [2]74381
> Mobile: 07989 851364
> web: geoffreyferrari.com